var app = new Vue({
    el: '#myapp',
    data: {
        isFinished: false,
        row: 0,  // Record selection position
        rowperpage: 3,  // Number of records fetch at a time
        buttonText: 'Load More',
        posts: ''
    },
    methods: {
        getPosts: function(){
                
            axios.post('ajaxfile.php', {
                row: this.row, 
                rowperpage: this.rowperpage
            })
            .then(function (response) {
                        
                if(response.data !='' ){
                            
                    // Update rowperpage
                    app.row+=app.rowperpage;

                    var len = app.posts.length;
                    if(len > 0){
                        app.buttonText = "Loading ...";
                        setTimeout(function() {
                            app.buttonText = "Load More";

                            // Loop on data and push in posts
                            for (let i = 0; i < response.data.length; i++){
                                app.posts.push(response.data[i]);    
                            }                          
                        },500);
                    }else{
                        app.posts = response.data;
                    }
                           
                }else{
                    app.buttonText = "No more records avaiable.";
                    app.isFinished = true;
                }
            });
        }
    },
    created: function(){
        this.getPosts();
    }
}) 