<!doctype html>
<html>
    <head>
        <title>Load More Records on Button Click with Vue.js and PHP</title>
        <link href="style.css" type="text/css" rel="stylesheet">
      
    </head>
    <body >
        <div class="container" id='myapp'>
            
            <!-- Post -->
            <div class="post" v-for='post in posts'>
                <h2 v-cloak>{{ post.title }}</h2>
                <p v-cloak>
                    {{ post.shortcontent }}
                </p>
                <a :href="post.link" class="more" target="_blank" v-cloak>More</a>
            </div>
          
            <!-- Load More -->
            <h2 v-bind:class="[isFinished ? 'finish' : 'load-more']"  @click='getPosts()' v-cloak>{{ buttonText }}</h2>

        </div>
        
        <!-- Script -->
        <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
        <script src="axios-master/dist/axios.min.js"></script>
        <script src="script.js"></script>

    </body>
</html>
